from fastapi import APIRouter, Depends
from fastapi.security import OAuth2PasswordRequestForm

from test_api.schemas.token import TokenSchema
from test_api.services.auth import AuthService

from ..di import get_auth_service

router = APIRouter(prefix="/token")


@router.post("", response_model=TokenSchema)
async def authenticate(
    login: OAuth2PasswordRequestForm = Depends(),
    auth: AuthService = Depends(get_auth_service),
) -> TokenSchema | None:
    return await auth.authenticate(login)
